Bug 12877 - Unit tests should only be built if --enable-selftest is used
Unit tests should only be built if --enable-selftest is used
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
4.7.0rc1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-05 08:27 UTC by Andreas Schneider
Modified: 2017-07-14 08:14 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.7 (1.81 KB, patch)
2017-07-06 06:20 UTC, Andreas Schneider
ab: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2017-07-05 08:27:03 UTC
Unit tests should only be built if --enable-selftest is used

Patch will follow.
Comment 1 Andreas Schneider 2017-07-06 06:20:34 UTC
Created attachment 13343 [details]
patch for 4.7
Comment 2 Alexander Bokovoy 2017-07-06 06:37:38 UTC
Comment on attachment 13343 [details]
patch for 4.7

LGTM.
Comment 3 Andreas Schneider 2017-07-06 06:41:27 UTC
Karolin, please add the patch to the next 4.7 rc. Thanks!
Comment 4 Stefan Metzmacher 2017-07-13 05:28:23 UTC
Pushed to autobuild-v4-7-test
Comment 5 Stefan Metzmacher 2017-07-14 08:14:15 UTC
(In reply to Stefan Metzmacher from comment #4)

Pushed to v4-7-test